librime: rime::ConfigDataRootRef Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::ConfigDataRootRef Class Reference
Inheritance diagram for rime::ConfigDataRootRef:
[legend]
Collaboration diagram for rime::ConfigDataRootRef:
[legend]

## Public Member Functions
| ConfigDataRootRef (ConfigData *data)
an< ConfigItem > | GetItem () const override
void | SetItem (an< ConfigItem > item) override
Public Member Functions inherited from rime::ConfigItemRef
| ConfigItemRef (ConfigData *data)
virtual | ~ConfigItemRef ()=default
| operator an< ConfigItem > () const
an< ConfigItem > | operator* () const
template<class T>
ConfigItemRef & | operator= (const T &x)
ConfigListEntryRef | operator[] (size_t index)
ConfigMapEntryRef | operator[] (const string &key)
RIME_DLL bool | IsNull () const
bool | IsValue () const
RIME_DLL bool | IsList () const
bool | IsMap () const
RIME_DLL bool | ToBool () const
RIME_DLL int | ToInt () const
double | ToDouble () const
RIME_DLL string | ToString () const
RIME_DLL an< ConfigList > | AsList ()
RIME_DLL an< ConfigMap > | AsMap ()
RIME_DLL void | Clear ()
RIME_DLL bool | Append (an< ConfigItem > item)
RIME_DLL size_t | size () const
RIME_DLL bool | HasKey (const string &key) const
RIME_DLL bool | modified () const
RIME_DLL void | set_modified ()

## Additional Inherited Members
Protected Attributes inherited from rime::ConfigItemRef
ConfigData * | data_

## Constructor & Destructor Documentation

## ◆ ConfigDataRootRef()

rime::ConfigDataRootRef::ConfigDataRootRef | ( | ConfigData * | data | ) |
| inline

## Member Function Documentation

## ◆ GetItem()

an< ConfigItem > rime::ConfigDataRootRef::GetItem | ( |  | ) | const
| inlineoverridevirtual

Implements rime::ConfigItemRef.

## ◆ SetItem()

void rime::ConfigDataRootRef::SetItem | ( | an< ConfigItem > | item | ) |
| inlineoverridevirtual

Implements rime::ConfigItemRef.

The documentation for this class was generated from the following file:

- config_data.cc